Plain text formatter for PDO results.

author | Hans Lellelid
package | phing.tasks.ext.pdo
since | 2.3.0

### Methods

## Perform any final tasks and Close the writer.

    close()

Inherited

inherited_from | \PDOResultFormatter::close()

## Gets the output writer.

    getOutput() : \Writer

Inherited

inherited_from | \PDOResultFormatter::getOutput()

### Returns

`\Writer`

## Gets the preferred output filename for this formatter.

    getPreferredOutfile() : string

### Returns

`string`

## Perform any initialization.

    initialize()

Inherited

inherited_from | \PDOResultFormatter::initialize()

## Processes a specific row from PDO result set.

    processRow(array $row)

### Parameters

#### $row

`array`

Row of PDO result set.

## Sets the column delimiter.

    setColdelim(string $v)

### Parameters

#### $v

`string`

## Sets the output writer.

    setOutput(\Writer $out)

Inherited

inherited_from | \PDOResultFormatter::setOutput()

### Parameters

#### $out

`\Writer`

## Sets the row delimiter.

    setRowdelim(string $v)

### Parameters

#### $v

`string`

## Set the showheaders attribute.

    setShowheaders(boolean $v)

### Parameters

#### $v

`boolean`

### Properties

##

    $out : \Writer

Inherited

inherited_from | \PDOResultFormatter::$$out

##

    $coldelimiter : string

Defaults to ','

##

    $colsprinted : boolean

##

    $rowdelimiter : string

Defaults to PHP_EOL.

##

    $showheaders : boolean